Package org.bukkit.entity

# Interface FallingBlock

All Superinterfaces:
  `Audience`, `CommandSender`, `Entity`, `HoverEventSource<HoverEvent.ShowEntity>`, `Metadatable`, `Nameable`, `Permissible`, `PersistentDataHolder`, `Pointered`, `ServerOperator`, `Sound.Emitter`

public interface FallingBlock extends Entity
Represents a falling block

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.bukkit.entity.Entity

`Entity.Spigot`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canHurtEntities()`
Get the HurtEntities state of this block.
`boolean`
`doesAutoExpire()`
Sets if this falling block should expire after: - 30 seconds - 5 seconds and is outside of the world
`@NotNull BlockData`
`getBlockData()`
Get the data for the falling block
`boolean`
`getDropItem()`
Get if the falling block will break into an item if it cannot be placed
`@NotNull Material`
`getMaterial()`
Deprecated.
use `getBlockData()`
`default Location`
`getSourceLoc()`
Deprecated.
replaced by `Entity.getOrigin()`
`void`
`setDropItem(boolean drop)`
Set if the falling block will break into an item if it cannot be placed
`void`
`setHurtEntities(boolean hurtEntities)`
Set the HurtEntities state of this block.
`void`
`shouldAutoExpire(boolean autoExpires)`
Sets if this falling block should expire after: - 30 seconds - 5 seconds and is outside of the world

### Methods inherited from interface net.kyori.adventure.audience.Audience

`clearTitle, deleteMessage, deleteMessage, filterAudience, forEachAudience, hideBossBar, openBook, openBook, playSound, playSound, playSound, resetTitle, sendActionBar, sendActionBar, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendPlayerListFooter, sendPlayerListFooter, sendPlayerListHeader, sendPlayerListHeader, sendPlayerListHeaderAndFooter, sendPlayerListHeaderAndFooter, sendTitlePart, showBossBar, showTitle, stopSound, stopSound`

### Methods inherited from interface org.bukkit.command.CommandSender

`getName, name, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendMessage, sendPlainMessage, sendRichMessage`

### Methods inherited from interface org.bukkit.entity.Entity

`addPassenger, addScoreboardTag, asHoverEvent, collidesAt, eject, fromMobSpawner, getBoundingBox, getChunk, getEntityId, getEntitySpawnReason, getFacing, getFallDistance, getFireTicks, getFreezeTicks, getHeight, getLastDamageCause, getLocation, getLocation, getMaxFireTicks, getMaxFreezeTicks, getNearbyEntities, getOrigin, getPassenger, getPassengers, getPistonMoveReaction, getPortalCooldown, getPose, getScoreboardTags, getServer, getSpawnCategory, getSwimHighSpeedSplashSound, getSwimSound, getSwimSplashSound, getTicksLived, getTrackedPlayers, getType, getUniqueId, getVehicle, getVelocity, getWidth, getWorld, hasGravity, isCustomNameVisible, isDead, isEmpty, isFreezeTickingLocked, isFrozen, isGlowing, isInBubbleColumn, isInLava, isInPowderedSnow, isInRain, isInsideVehicle, isInvulnerable, isInWater, isInWaterOrBubbleColumn, isInWaterOrRain, isInWaterOrRainOrBubbleColumn, isOnGround, isPersistent, isSilent, isTicking, isUnderWater, isValid, isVisualFire, leaveVehicle, lockFreezeTicks, playEffect, remove, removePassenger, removeScoreboardTag, setCustomNameVisible, setFallDistance, setFireTicks, setFreezeTicks, setGlowing, setGravity, setInvulnerable, setLastDamageCause, setPassenger, setPersistent, setPortalCooldown, setRotation, setSilent, setTicksLived, setVelocity, setVisualFire, spawnAt, spawnAt, spigot, teamDisplayName, teleport, teleport, teleport, teleport, teleport, teleport, teleport, teleport, teleportAsync, teleportAsync, wouldCollideUsing`

### Methods inherited from interface net.kyori.adventure.text.event.HoverEventSource

`asHoverEvent`

### Methods inherited from interface org.bukkit.metadata.Metadatable

`getMetadata, hasMetadata, removeMetadata, setMetadata`

### Methods inherited from interface org.bukkit.Nameable

`customName, customName, getCustomName, setCustomName`

### Methods inherited from interface org.bukkit.permissions.Permissible

`addAttachment, addAttachment, addAttachment, addAttachment, getEffectivePermissions, hasPermission, hasPermission, isPermissionSet, isPermissionSet, permissionValue, permissionValue, recalculatePermissions, removeAttachment`

### Methods inherited from interface org.bukkit.persistence.PersistentDataHolder

`getPersistentDataContainer`

### Methods inherited from interface net.kyori.adventure.pointer.Pointered

`get, getOrDefault, getOrDefaultFrom, pointers`

### Methods inherited from interface org.bukkit.permissions.ServerOperator

`isOp, setOp`

## Method Details

### getMaterial

@Deprecated @NotNull @NotNull Material getMaterial()
Deprecated.
use `getBlockData()`
Get the Material of the falling block

Returns:
  Material of the block

### getBlockData

@NotNull @NotNull BlockData getBlockData()
Get the data for the falling block

Returns:
  data of the block

### getDropItem

boolean getDropItem()
Get if the falling block will break into an item if it cannot be placed

Returns:
  true if the block will break into an item when obstructed

### setDropItem

void setDropItem(boolean drop)
Set if the falling block will break into an item if it cannot be placed

Parameters:
  `drop` - true to break into an item when obstructed

### canHurtEntities

boolean canHurtEntities()
Get the HurtEntities state of this block.

Returns:
  whether entities will be damaged by this block.

### setHurtEntities

void setHurtEntities(boolean hurtEntities)
Set the HurtEntities state of this block.

Parameters:
  `hurtEntities` - whether entities will be damaged by this block.

### getSourceLoc

@Deprecated default Location getSourceLoc()
Deprecated.
replaced by `Entity.getOrigin()`
Gets the source block location of the FallingBlock

Returns:
  the source block location the FallingBlock was spawned from

### doesAutoExpire

boolean doesAutoExpire()
Sets if this falling block should expire after: - 30 seconds - 5 seconds and is outside of the world

Returns:
  if this behavior occurs

### shouldAutoExpire

void shouldAutoExpire(boolean autoExpires)
Sets if this falling block should expire after: - 30 seconds - 5 seconds and is outside of the world

Parameters:
  `autoExpires` - if this behavior should occur